/**
 * General
 */
::-webkit-scrollbar-thumb {
    background: rgba(0,0,0,.05) !important;
}
::-webkit-scrollbar-track {
    background: rgba(0,0,0,.02) !important;
}

.content-selector,
.contents.header,
.contents.shelf,
.contents.footer {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    float:left;
    width:100%;
    height:auto;
    cursor:pointer;
}
.content-selector {
    border:1px solid #f0f0f0;
    border-radius:2px;
    margin-bottom: 30px;
}

/**
 * Header
 */
.contents.header {
    padding:15px;
    background-color: #ffffff;
}
.contents.header h1,
.contents.header h2,
.contents.header h3,
.contents.header h4,
.contents.header p {
    margin: 0px;
    font-size: 1.1em;
    font-weight: 600;
}

/**
 * Shelf object and global style of the content-object
 */
.contents.shelf {
    padding-left:5px;
    padding-right:5px;
    padding-bottom:5px;
    background-color: rgba(209, 216, 224, 0.15);
}
.contents.shelf .content-object,
.contents.shelf .content-object:hover {
    display: flex;
    position: relative;
    top: 0;
    height: 100px;
    margin-top: 5px;
    overflow-x: hidden;
    overflow-y: hidden;
    border: 1px solid rgba(0, 0, 0, 0.05);
    border-radius: 2px;
}
.contents.shelf .content-object {
    animation-name: light-background-down;
    animation-duration: 350ms;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: light-background-down;
    -webkit-animation-duration: 350ms;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: light-background-down;
    -moz-animation-duration: 350ms;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: light-background-down;
    -ms-animation-duration: 350ms;
    -ms-animation-fill-mode: forwards;
}
.contents.shelf .content-object:hover {
    animation-name: light-background-up;
    animation-duration: 350ms;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: light-background-up;
    -webkit-animation-duration: 350ms;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: light-background-up;
    -moz-animation-duration: 350ms;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: light-background-up;
    -ms-animation-duration: 350ms;
    -ms-animation-fill-mode: forwards;   
}
.contents.shelf .content-object .selector {
    display: block;
    position: absolute;
    left:0px;
    top:0px;
    height:100%;
    width:100%;
    background: transparent;
    cursor: pointer;
}

/**
 * Light background up
 */
@keyframes light-background-up {
    from {
        background-color: #f0f0f0;
    }
    to {
        background-color: #ffffff;
    }
}
@-moz-keyframes light-background-up {
    from {
        background-color: #f0f0f0;
    }
    to {
        background-color: #ffffff;
    }
}
@-webkit-keyframes light-background-up {
    from {
        background-color: #f0f0f0;
    }
    to {
        background-color: #ffffff;
    }
}

/**
 * Light background down
 */
@keyframes light-background-down {
    from {
        background-color: #ffffff;
    }
    to {
        background-color: #f0f0f0;
    }
}
@-moz-keyframes light-background-down {
    from {
        background-color: #ffffff;
    }
    to {
        background-color: #f0f0f0;
    }
}
@-webkit-keyframes light-background-down {
    from {
        background-color: #ffffff;
    }
    to {
        background-color: #f0f0f0;
    }
}

/** 
 * Content object
 */
.contents.shelf .content-object .description,
.contents.shelf .content-object .meta,
.contents.shelf .content-object .toolbar {
    display:inline-block;
    position:relative;
    float: left;
    left:0px;
    top:0px;
    height:100px;
    margin: 0px;
}
.contents.shelf .content-object .description {
    width:70%;
    min-width:80px;
    overflow-y: scroll;
}
.contents.shelf .content-object .meta {
    width:15%;
    min-width:80px;
    overflow-y: hidden;
}
.contents.shelf .content-object .toolbar {
    width:15%;
    min-width:70px;
    overflow-y: hidden;
}

@media (max-width: 767px) {

    .contents.shelf .content-object,
    .contents.shelf .content-object:hover,
    .contents.shelf .content-object .description,
    .contents.shelf .content-object .meta,
    .contents.shelf .content-object .toolbar {
        height: 150px;
    }

}

/**
 * Content object description
 */
.contents.shelf .content-object .description {
    padding: 15px;
    overflow-y: auto;
}
.contents.shelf .content-object .description .title,
.contents.shelf .content-object .description .author {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    margin-top: 0;
    text-overflow: ellipsis;
    word-wrap: break-word;
    overflow: hidden;
}
.contents.shelf .content-object .description .title {
    margin-top: 0px;
    margin-bottom: 5px;
    font-size: 1em;
    line-height: 1.3em;
    font-weight: 400;
    font-family: roboto-regular !important;
    color: rgba(0, 0, 0, 0.75);
}
.contents.shelf .content-object .description .title span {
    font-weight:500;
    font-family: roboto-bold !important;
    color: #d89443;
}
.contents.shelf .content-object .description .author {
    font-size: 0.8em;
    max-height: none;
    line-height: 1.2em;
    margin-top: 12px;
    margin-bottom: 15px;
    opacity: 0.7;
}

@media(max-width:767px) {

    .contents.shelf .content-object .description .title {
        max-height: 200px;
    }

}

/**
 * Content object meta info container 
 */
.contents.shelf .content-object .meta { 
    background-color: rgba(255, 255, 255, 0.4);
    border-left: 1px solid #f0f0f0;
}
.contents.shelf .content-object .meta .publisher-img {
    display: block;
    position: relative;
    left: 0;
    top: 33%;
    height: 33%;
    width: 80%;
    margin: auto;
    opacity:0.75;
}

@media (max-width: 767px) {
    
    .contents.shelf .content-object.info .description {
        width:70%;
        min-width:70%;
    }
    .contents.shelf .content-object.info .meta {
        width: 0px !important;
        min-width: 0px !important;
    }
    .contents.shelf .content-object.info .meta .publisher-img {
        display: none;
    }
    .contents.shelf .content-object.info .toolbar {
        width:30%;
        min-width:30%;
    }

}

/**
 * Content object toolbar container
 */
.contents.shelf .content-object .toolbar {
    background-color: #f1bc5c;
}
.contents.shelf .content-object .toolbar .outter-container {
    display: block;
    position: relative;
    width: 95%;
    height: 95%;
    margin: 2.5%;
    padding: 5px;
    border: 1px dashed #fafafa;
    border-radius: 2px;
}
.contents.shelf .content-object .toolbar .outter-container .toolbar-item {
    display: block;
    position: relative;
    left: 0;
    top: 20%;
    height: 33%;
    width: auto;
    min-height: 32px;
    max-height: 42px;
    margin: auto;
}

@media(max-width: 767px) {

    .contents.shelf .content-object .toolbar .outter-container {
        margin-top: 6%;
    }

}

/**
 * Footer
 */
.contents.footer {
    padding: 15px;
    text-align: left;
    background-color: #d89443;
    border: 1px solid #e69f1d;
    color: #fbf8f8;
}

/**
 * Style specific for objects that don't contain meta info
 */
.contents.shelf .content-object.no-meta-info .description {
    width: 85%;
}
